Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.header
Class ContentDisposition

    java.lang.Object
      com.sun.jersey.core.header.ContentDisposition

Direct Known Subclasses:
  FormDataContentDisposition

    public class ContentDisposition

extends java.lang.Object

A content disposition header.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`ContentDisposition(HttpHeaderReader reader)`
`ContentDisposition(java.lang.String header)`

Method Summary
`java.util.Date` | `getCreationDate()` Get the creation-date parameter.
`java.lang.String` | `getFileName()` Get the filename parameter.
`java.util.Date` | `getModificationDate()` Get the modification-date parameter.
`java.util.Map<java.lang.String,java.lang.String>` | `getParameters()` Get the parameters.
`java.util.Date` | `getReadDate()` Get the read-date parameter.
`int` | `getSize()` Get the size parameter.
`java.lang.String` | `getType()` Get the type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentDisposition

    public ContentDisposition(java.lang.String header)
                       throws java.text.ParseException

Throws:
  `java.text.ParseException`

### ContentDisposition

    public ContentDisposition(HttpHeaderReader reader)
                       throws java.text.ParseException

Throws:
  `java.text.ParseException`

Method Detail

### getType

    public java.lang.String getType()

  Get the type.

  Returns:
    the type

### getParameters

    public java.util.Map<java.lang.String,java.lang.String> getParameters()

  Get the parameters.

  Returns:
    the parameters

### getFileName

    public java.lang.String getFileName()

  Get the filename parameter.

  Returns:
    the fileName

### getCreationDate

    public java.util.Date getCreationDate()

  Get the creation-date parameter.

  Returns:
    the creationDate

### getModificationDate

    public java.util.Date getModificationDate()

  Get the modification-date parameter.

  Returns:
    the modificationDate

### getReadDate

    public java.util.Date getReadDate()

  Get the read-date parameter.

  Returns:
    the readDate

### getSize

    public int getSize()

  Get the size parameter.

  Returns:
    the size

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.